Skip to main content
GET
/
vendors
/
{vendorId}
/
required-docs
List vendor's required documents
curl --request GET \
  --url https://www.renovationfind.com/rest-manager-api-v1/vendors/{vendorId}/required-docs \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "requiredDocId": 123,
      "requiredDocName": "<string>",
      "dateReceived": "<string>",
      "expiryDate": "<string>",
      "valid": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.renovationfind.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token issued from the RenovationFind Manager Portal

Path Parameters

vendorId
integer<int64>
required

Response

List of vendor required documents

success
boolean
data
object[]